searchData={"items":[{"type":"module","title":"ShortcutApi.ApiHelpers","doc":"Helper functions for making API requests and validating data.","ref":"ShortcutApi.ApiHelpers.html"},{"type":"function","title":"ShortcutApi.ApiHelpers.base_url/0","doc":"","ref":"ShortcutApi.ApiHelpers.html#base_url/0"},{"type":"function","title":"ShortcutApi.ApiHelpers.headers/1","doc":"","ref":"ShortcutApi.ApiHelpers.html#headers/1"},{"type":"function","title":"ShortcutApi.ApiHelpers.make_request/4","doc":"","ref":"ShortcutApi.ApiHelpers.html#make_request/4"},{"type":"function","title":"ShortcutApi.ApiHelpers.validate_required/2","doc":"","ref":"ShortcutApi.ApiHelpers.html#validate_required/2"},{"type":"module","title":"ShortcutApi.Epics","doc":"API wrapper for Shortcut Epics endpoints.\nSee: https://developer.shortcut.com/api/rest/v3#Epics\n\nAll functions require a valid Shortcut API token.","ref":"ShortcutApi.Epics.html"},{"type":"function","title":"ShortcutApi.Epics.create_epic/2","doc":"Creates a new epic.","ref":"ShortcutApi.Epics.html#create_epic/2"},{"type":"function","title":"Parameters - ShortcutApi.Epics.create_epic/2","doc":"* `token` - Shortcut API token\n  * `params` - Map containing the epic parameters","ref":"ShortcutApi.Epics.html#create_epic/2-parameters"},{"type":"function","title":"Required params - ShortcutApi.Epics.create_epic/2","doc":"* `:name` - Epic name\n  * `:workflow_state_id` - The ID of the workflow state","ref":"ShortcutApi.Epics.html#create_epic/2-required-params"},{"type":"function","title":"Examples - ShortcutApi.Epics.create_epic/2","doc":"iex> params = %{name: \"New Epic\", workflow_state_id: 123}\n    iex> ShortcutApi.Epics.create_epic(\"token\", params)\n    {:ok, %{id: 12345, name: \"New Epic\"}}","ref":"ShortcutApi.Epics.html#create_epic/2-examples"},{"type":"function","title":"ShortcutApi.Epics.delete_epic/2","doc":"Deletes an epic.","ref":"ShortcutApi.Epics.html#delete_epic/2"},{"type":"function","title":"Parameters - ShortcutApi.Epics.delete_epic/2","doc":"* `token` - Shortcut API token\n  * `epic_id` - The ID of the epic to delete","ref":"ShortcutApi.Epics.html#delete_epic/2-parameters"},{"type":"function","title":"Examples - ShortcutApi.Epics.delete_epic/2","doc":"iex> ShortcutApi.Epics.delete_epic(\"token\", 12345)\n    {:ok, %{}}","ref":"ShortcutApi.Epics.html#delete_epic/2-examples"},{"type":"function","title":"ShortcutApi.Epics.get_epic/2","doc":"Retrieves a single epic by ID.","ref":"ShortcutApi.Epics.html#get_epic/2"},{"type":"function","title":"Parameters - ShortcutApi.Epics.get_epic/2","doc":"* `token` - Shortcut API token\n  * `epic_id` - The ID of the epic to retrieve","ref":"ShortcutApi.Epics.html#get_epic/2-parameters"},{"type":"function","title":"Examples - ShortcutApi.Epics.get_epic/2","doc":"iex> ShortcutApi.Epics.get_epic(\"token\", 12345)\n    {:ok, %{id: 12345, name: \"Epic name\"}}","ref":"ShortcutApi.Epics.html#get_epic/2-examples"},{"type":"function","title":"ShortcutApi.Epics.get_epic_state/2","doc":"Get details about a specific epic state.","ref":"ShortcutApi.Epics.html#get_epic_state/2"},{"type":"function","title":"Parameters - ShortcutApi.Epics.get_epic_state/2","doc":"* `token` - Shortcut API token\n  * `state_id` - The ID of the epic state to retrieve","ref":"ShortcutApi.Epics.html#get_epic_state/2-parameters"},{"type":"function","title":"Examples - ShortcutApi.Epics.get_epic_state/2","doc":"iex> ShortcutApi.Epics.get_epic_state(\"token\", 12345)\n    {:ok, %{id: 12345, name: \"In Progress\", ...}}","ref":"ShortcutApi.Epics.html#get_epic_state/2-examples"},{"type":"function","title":"ShortcutApi.Epics.get_epic_stats/2","doc":"Get statistics for a specific epic.","ref":"ShortcutApi.Epics.html#get_epic_stats/2"},{"type":"function","title":"Parameters - ShortcutApi.Epics.get_epic_stats/2","doc":"* `token` - Shortcut API token\n  * `epic_id` - The ID of the epic to get stats for","ref":"ShortcutApi.Epics.html#get_epic_stats/2-parameters"},{"type":"function","title":"Examples - ShortcutApi.Epics.get_epic_stats/2","doc":"iex> ShortcutApi.Epics.get_epic_stats(\"token\", 12345)\n    {:ok, %{num_points: 10, num_stories: 5, ...}}","ref":"ShortcutApi.Epics.html#get_epic_stats/2-examples"},{"type":"function","title":"ShortcutApi.Epics.get_epic_workflow/1","doc":"Get the epic workflow state.","ref":"ShortcutApi.Epics.html#get_epic_workflow/1"},{"type":"function","title":"Parameters - ShortcutApi.Epics.get_epic_workflow/1","doc":"* `token` - Shortcut API token","ref":"ShortcutApi.Epics.html#get_epic_workflow/1-parameters"},{"type":"function","title":"Examples - ShortcutApi.Epics.get_epic_workflow/1","doc":"iex> ShortcutApi.Epics.get_epic_workflow(\"token\")\n    {:ok, %{states: [%{id: 123, name: \"In Progress\"}, ...]}}","ref":"ShortcutApi.Epics.html#get_epic_workflow/1-examples"},{"type":"function","title":"ShortcutApi.Epics.list_epics/1","doc":"Lists all epics.","ref":"ShortcutApi.Epics.html#list_epics/1"},{"type":"function","title":"Parameters - ShortcutApi.Epics.list_epics/1","doc":"* `token` - Shortcut API token","ref":"ShortcutApi.Epics.html#list_epics/1-parameters"},{"type":"function","title":"Examples - ShortcutApi.Epics.list_epics/1","doc":"iex> ShortcutApi.Epics.list_epics(\"token\")\n    {:ok, [%{id: 12345, name: \"Epic name\"}, ...]}","ref":"ShortcutApi.Epics.html#list_epics/1-examples"},{"type":"function","title":"ShortcutApi.Epics.update_epic/3","doc":"Updates an existing epic.","ref":"ShortcutApi.Epics.html#update_epic/3"},{"type":"function","title":"Parameters - ShortcutApi.Epics.update_epic/3","doc":"* `token` - Shortcut API token\n  * `epic_id` - The ID of the epic to update\n  * `params` - Map containing the update parameters","ref":"ShortcutApi.Epics.html#update_epic/3-parameters"},{"type":"function","title":"Examples - ShortcutApi.Epics.update_epic/3","doc":"iex> params = %{name: \"Updated Epic Name\"}\n    iex> ShortcutApi.Epics.update_epic(\"token\", 12345, params)\n    {:ok, %{id: 12345, name: \"Updated Epic Name\", ...}}","ref":"ShortcutApi.Epics.html#update_epic/3-examples"},{"type":"type","title":"ShortcutApi.Epics.epic_id/0","doc":"","ref":"ShortcutApi.Epics.html#t:epic_id/0"},{"type":"type","title":"ShortcutApi.Epics.response/0","doc":"","ref":"ShortcutApi.Epics.html#t:response/0"},{"type":"type","title":"ShortcutApi.Epics.token/0","doc":"","ref":"ShortcutApi.Epics.html#t:token/0"},{"type":"module","title":"ShortcutApi.Projects","doc":"API wrapper for Shortcut Projects endpoints.\nSee: https://developer.shortcut.com/api/rest/v3#Projects\n\nAll functions require a valid Shortcut API token.","ref":"ShortcutApi.Projects.html"},{"type":"function","title":"ShortcutApi.Projects.create_project/2","doc":"Creates a new project.","ref":"ShortcutApi.Projects.html#create_project/2"},{"type":"function","title":"Parameters - ShortcutApi.Projects.create_project/2","doc":"* `token` - Shortcut API token\n  * `params` - Map containing the project parameters","ref":"ShortcutApi.Projects.html#create_project/2-parameters"},{"type":"function","title":"Required params - ShortcutApi.Projects.create_project/2","doc":"* `:name` - Project name","ref":"ShortcutApi.Projects.html#create_project/2-required-params"},{"type":"function","title":"Examples - ShortcutApi.Projects.create_project/2","doc":"iex> params = %{name: \"New Project\"}\n    iex> ShortcutApi.Projects.create_project(\"token\", params)\n    {:ok, %{id: 12345, name: \"New Project\"}}","ref":"ShortcutApi.Projects.html#create_project/2-examples"},{"type":"function","title":"ShortcutApi.Projects.delete_project/2","doc":"Deletes a project.","ref":"ShortcutApi.Projects.html#delete_project/2"},{"type":"function","title":"Parameters - ShortcutApi.Projects.delete_project/2","doc":"* `token` - Shortcut API token\n  * `project_id` - The ID of the project to delete","ref":"ShortcutApi.Projects.html#delete_project/2-parameters"},{"type":"function","title":"Examples - ShortcutApi.Projects.delete_project/2","doc":"iex> ShortcutApi.Projects.delete_project(\"token\", 12345)\n    {:ok, %{}}","ref":"ShortcutApi.Projects.html#delete_project/2-examples"},{"type":"function","title":"ShortcutApi.Projects.get_project/2","doc":"Retrieves a single project by ID.","ref":"ShortcutApi.Projects.html#get_project/2"},{"type":"function","title":"Parameters - ShortcutApi.Projects.get_project/2","doc":"* `token` - Shortcut API token\n  * `project_id` - The ID of the project to retrieve","ref":"ShortcutApi.Projects.html#get_project/2-parameters"},{"type":"function","title":"Examples - ShortcutApi.Projects.get_project/2","doc":"iex> ShortcutApi.Projects.get_project(\"token\", 12345)\n    {:ok, %{id: 12345, name: \"Project name\"}}","ref":"ShortcutApi.Projects.html#get_project/2-examples"},{"type":"function","title":"ShortcutApi.Projects.list_projects/1","doc":"Lists all projects.","ref":"ShortcutApi.Projects.html#list_projects/1"},{"type":"function","title":"Parameters - ShortcutApi.Projects.list_projects/1","doc":"* `token` - Shortcut API token","ref":"ShortcutApi.Projects.html#list_projects/1-parameters"},{"type":"function","title":"Examples - ShortcutApi.Projects.list_projects/1","doc":"iex> ShortcutApi.Projects.list_projects(\"token\")\n    {:ok, [%{id: 12345, name: \"Project name\"}, ...]}","ref":"ShortcutApi.Projects.html#list_projects/1-examples"},{"type":"function","title":"ShortcutApi.Projects.update_project/3","doc":"Updates an existing project.","ref":"ShortcutApi.Projects.html#update_project/3"},{"type":"function","title":"Parameters - ShortcutApi.Projects.update_project/3","doc":"* `token` - Shortcut API token\n  * `project_id` - The ID of the project to update\n  * `params` - Map containing the update parameters","ref":"ShortcutApi.Projects.html#update_project/3-parameters"},{"type":"function","title":"Examples - ShortcutApi.Projects.update_project/3","doc":"iex> params = %{name: \"Updated Project Name\"}\n    iex> ShortcutApi.Projects.update_project(\"token\", 12345, params)\n    {:ok, %{id: 12345, name: \"Updated Project Name\"}}","ref":"ShortcutApi.Projects.html#update_project/3-examples"},{"type":"type","title":"ShortcutApi.Projects.project_id/0","doc":"","ref":"ShortcutApi.Projects.html#t:project_id/0"},{"type":"type","title":"ShortcutApi.Projects.response/0","doc":"","ref":"ShortcutApi.Projects.html#t:response/0"},{"type":"type","title":"ShortcutApi.Projects.token/0","doc":"","ref":"ShortcutApi.Projects.html#t:token/0"},{"type":"module","title":"ShortcutApi.Stories","doc":"API wrapper for Shortcut Stories endpoints.\nSee: https://developer.shortcut.com/api/rest/v3#Stories\n\nAll functions require a valid Shortcut API token.","ref":"ShortcutApi.Stories.html"},{"type":"function","title":"ShortcutApi.Stories.create_story/2","doc":"Creates a new story.","ref":"ShortcutApi.Stories.html#create_story/2"},{"type":"function","title":"Parameters - ShortcutApi.Stories.create_story/2","doc":"* `token` - Shortcut API token\n  * `params` - Map containing the story parameters","ref":"ShortcutApi.Stories.html#create_story/2-parameters"},{"type":"function","title":"Required params - ShortcutApi.Stories.create_story/2","doc":"* `:name` - Story name\n  * `:project_id` - Project ID","ref":"ShortcutApi.Stories.html#create_story/2-required-params"},{"type":"function","title":"Examples - ShortcutApi.Stories.create_story/2","doc":"iex> params = %{name: \"New Story\", project_id: 123}\n    iex> ShortcutApi.Stories.create_story(\"token\", params)\n    {:ok, %{id: 12345, name: \"New Story\"}}","ref":"ShortcutApi.Stories.html#create_story/2-examples"},{"type":"function","title":"ShortcutApi.Stories.delete_story/2","doc":"Deletes a story.","ref":"ShortcutApi.Stories.html#delete_story/2"},{"type":"function","title":"Parameters - ShortcutApi.Stories.delete_story/2","doc":"* `token` - Shortcut API token\n  * `story_id` - The ID of the story to delete","ref":"ShortcutApi.Stories.html#delete_story/2-parameters"},{"type":"function","title":"Examples - ShortcutApi.Stories.delete_story/2","doc":"iex> ShortcutApi.Stories.delete_story(\"token\", 12345)\n    {:ok, %{}}","ref":"ShortcutApi.Stories.html#delete_story/2-examples"},{"type":"function","title":"ShortcutApi.Stories.get_story/2","doc":"Retrieves a single story by ID.","ref":"ShortcutApi.Stories.html#get_story/2"},{"type":"function","title":"Parameters - ShortcutApi.Stories.get_story/2","doc":"* `token` - Shortcut API token\n  * `story_id` - The ID of the story to retrieve","ref":"ShortcutApi.Stories.html#get_story/2-parameters"},{"type":"function","title":"Examples - ShortcutApi.Stories.get_story/2","doc":"iex> ShortcutApi.Stories.get_story(\"token\", 12345)\n    {:ok, %{id: 12345, name: \"Story name\"}}","ref":"ShortcutApi.Stories.html#get_story/2-examples"},{"type":"function","title":"ShortcutApi.Stories.update_story/3","doc":"Updates an existing story.","ref":"ShortcutApi.Stories.html#update_story/3"},{"type":"function","title":"Parameters - ShortcutApi.Stories.update_story/3","doc":"* `token` - Shortcut API token\n  * `story_id` - The ID of the story to update\n  * `params` - Map containing the update parameters","ref":"ShortcutApi.Stories.html#update_story/3-parameters"},{"type":"function","title":"Examples - ShortcutApi.Stories.update_story/3","doc":"iex> params = %{name: \"Updated Story Name\"}\n    iex> ShortcutApi.Stories.update_story(\"token\", 12345, params)\n    {:ok, %{id: 12345, name: \"Updated Story Name\", ...}}","ref":"ShortcutApi.Stories.html#update_story/3-examples"},{"type":"type","title":"ShortcutApi.Stories.response/0","doc":"","ref":"ShortcutApi.Stories.html#t:response/0"},{"type":"type","title":"ShortcutApi.Stories.story_id/0","doc":"","ref":"ShortcutApi.Stories.html#t:story_id/0"},{"type":"type","title":"ShortcutApi.Stories.token/0","doc":"","ref":"ShortcutApi.Stories.html#t:token/0"},{"type":"extras","title":"Read Me","doc":"# shortcut_api_ex\n[![Hex.pm](https://img.shields.io/hexpm/v/shortcut_api_ex.svg)](https://hex.pm/packages/shortcut_api_ex)\n[![Docs](https://img.shields.io/badge/hex-docs-blue.svg)](https://hexdocs.pm/shortcut_api_ex)\n[![CI](https://github.com/mechanical-orchard/shortcut_api_ex/actions/workflows/ci.yml/badge.svg)](https://github.com/mechanical-orchard/shortcut_api_ex/actions/workflows/ci.yml)\n[![License](https://img.shields.io/badge/license-MIT-blue.svg)](LICENSE)\n\nElixir client for the [Shortcut API](https://developer.shortcut.com/api/rest/v3)","ref":"readme.html"},{"type":"extras","title":"Installation - Read Me","doc":"To install shortcut_api_ex, add it to your mix.exs file:\nby adding `shortcut_api_ex` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:shortcut_api_ex, \"~> 1.0.0\"}\n  ]\nend\n```\n\nThen run:\n```elixir\nmix deps.get\n```","ref":"readme.html#installation"},{"type":"extras","title":"Getting Started","doc":"# Getting Started\n\nThis guide will help you get up and running with the `shortcut_api_ex` library.","ref":"basics-getting-started.html"},{"type":"extras","title":"Prerequisites - Getting Started","doc":"Before you begin, make sure you have the following:\n\n- Elixir installed (version 1.16 or later)\n- A Shortcut API token (you can get one from the [Shortcut app settings](https://app.shortcut.com/mechanical-orchard/settings/account/api-tokens))","ref":"basics-getting-started.html#prerequisites"},{"type":"extras","title":"Installation - Getting Started","doc":"Add `shortcut_api_ex` to your list of dependencies in `mix.exs`:","ref":"basics-getting-started.html#installation"},{"type":"extras","title":"Example - Getting Started","doc":"You can use the `ShortcutApiEx.Epics.list_epics/1` function to fetch a list of epics from the Shortcut API. Here's an example:\n\nelixir\n```\ntoken = \"your_shortcut_api_token\"\n{:ok, epics} = ShortcutApiEx.Epics.list_epics(token)\n```","ref":"basics-getting-started.html#example"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}